×
Namespaces

Variants
Actions

上下文相关帮助对于开发环境的要求

From Nokia Developer Wiki
Jump to: navigation, search
Article Metadata

文章
r60600 在 05 Nov 2007 创建
最后由 hamishwillee 在 15 Dec 2011 编辑

由于帮助文件是先通过Word编辑帮助源文件(.rtf),然后经过SDK的cshlpcmp工具编译生成的,所以其对集成开发环境有一定要求。


一.Word的版本

帮助源文件是由Word编辑的,所以其版本直接决定帮助源文件是否能被cshlpcmp工具识别,并最终生成帮助文件。一般来说,用Word2000编辑的帮助源文件最为稳定。


二.Perl的版本

仔细看一下SDK的工具,就会发现它们其实都是直接或间接的调用Perl脚本(.pm和.pl)或Java程序(.jar——比较少)。cshlpcmp的执行过程中会调用许多Perl脚本,所以Perl的版本很重要。这就是为什么许多版本的SDK说明书中明确指定Perl的版本,而不建议使用比其更高的版本,因为这样可以达到最好的兼容性。

This page was last modified on 15 December 2011, at 10:21.
63 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×